protolude-0.1.10: A sensible set of defaults for writing custom Preludes.

Safe Haskell | Trustworthy
Language | Haskell2010

Show

# Documentation

class Print a where #

Minimal complete definition

putStr, putStrLn

Methods

putStr :: MonadIO m => a -> m () #

putStrLn :: MonadIO m => a -> m () #

Instances

Print ByteString # |
Methods putStr :: MonadIO m => ByteString -> m () # putStrLn :: MonadIO m => ByteString -> m () #
Print ByteString # |
Methods putStr :: MonadIO m => ByteString -> m () # putStrLn :: MonadIO m => ByteString -> m () #
Print Text # |
Methods putStr :: MonadIO m => Text -> m () # putStrLn :: MonadIO m => Text -> m () #
Print Text # |
Methods putStr :: MonadIO m => Text -> m () # putStrLn :: MonadIO m => Text -> m () #
Print [Char] # |
Methods putStr :: MonadIO m => [Char] -> m () # putStrLn :: MonadIO m => [Char] -> m () #

putText :: MonadIO m => Text -> m () #

putLText :: MonadIO m => Text -> m () #